TorqueScript Reference

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
UndoManager Class Reference

Inherits SimObject.

## Public Member Functions
void | clearAll ()
String | getNextRedoName ()
String | getNextUndoName ()
Integer | getRedoCount ()
String | getRedoName (S32 index)
Integer | getUndoCount ()
String | getUndoName (S32 index)
void | redo ()
void | undo ()
void | UndoAction::addToManager ([undoManager]?)
Public Member Functions inherited from SimObject
Integer | clone ([copyDynamicFields=false]?)
void | delete ()
Integer | getId ()
void | setName (newName)
String | getName ()
String | getClassNamespace ()
String | getSuperClassNamespace ()
void | setClassNamespace (nameSpace)
void | setSuperClassNamespace ()
Boolean | isMethod (string methodName)
String | call (methodName, [args]*)
void | dumpClassHierarchy ()
void | dump ()
Boolean | isMemberOfClass (string classname)
String | getClassName ()
String | getFieldValue (fieldName)
Boolean | setFieldValue (fieldName, value)
Integer | getDynamicFieldCount ()
String | getDynamicField (index)
Integer | getFieldCount ()
String | getField (int index)
void | setProgenitorFile (file)
String | getProgenitorFile ()
Integer | getType ()
String | getFieldType (fieldName)
void | setInternalName (string InternalName)
String | getInternalName ()
Boolean | isChildOfGroup (groupID)
Integer | getGroup ()
Boolean | startTimer (callbackFunction, float timePeriod, [repeat]?)
void | stopTimer ()
Boolean | isTimerActive ()
Integer | schedule (time, command, [arg]*)
Boolean | save (fileName, [selectedOnly]?)
void | addFieldFilter (fieldName)
void | removeFieldFilter (fieldName)

## Member Function Documentation

void clearAll | ( |  | ) |

Clears the undo manager.

Returns
  No Return Value

String getNextRedoName | ( |  | ) |

Gets the name of the action at the top of the undo stack

Returns
  The name of the top action on the redo stack

String getNextUndoName | ( |  | ) |

Gets the name of the action at the top of the undo stack

Returns
  The name of the top action on the undo stack

Integer getRedoCount | ( |  | ) |

Returns
  Returns the number of redo Actions stored as an integer

String getRedoName | ( | S32 | index | ) |

Gets the name of the Action at given index.

Parameters

  index | An integer index value for the desired redo

Returns
  The name as a string

Integer getUndoCount | ( |  | ) |

Returns
  Returns the number of UndoActions stored as an integer

String getUndoName | ( | S32 | index | ) |

Gets the name of the UndoAction at given index.

Parameters

  index | An integer index value for the desired undo

Returns
  The name as a string

void redo | ( |  | ) |

Pops the top redo action off the stack, resolves it, and then pushes it onto the undo stack

void undo | ( |  | ) |

Pops the top undo action off the stack, resolves it, and then pushes it onto the redo stack

void UndoAction::addToManager | ( | [undoManager] ? |  | ) |

Adds an UndoAction to the manager

Parameters

  undoManager | The manager to add the object to (default NULL)

Returns
  No Return Value